aboutsummaryrefslogtreecommitdiffstats
path: root/tools/perf/tests/shell/coresight/thread_loop_check_tid_2.sh
diff options
context:
space:
mode:
authorCarsten Haitzler <carsten.haitzler@arm.com>2022-09-09 16:27:59 +0100
committerArnaldo Carvalho de Melo <acme@redhat.com>2022-10-06 14:50:55 -0300
commit74c62b8d6161678b72854d95e47b41782dfec39a (patch)
treed00496c485c2290c9e05f4e4b5f048698c8aad03 /tools/perf/tests/shell/coresight/thread_loop_check_tid_2.sh
parentperf test coresight: Add thread loop test tool (diff)
downloadlinux-dev-74c62b8d6161678b72854d95e47b41782dfec39a.tar.xz
linux-dev-74c62b8d6161678b72854d95e47b41782dfec39a.zip
perf test coresight: Add thread loop test shell scripts
Add a script to drive the thread loop test that gathers data so it passes a minimum bar (in this case do we get any perf context data for every thread). Reviewed-by: James Clark <james.clark@arm.com> Signed-off-by: Carsten Haitzler <carsten.haitzler@arm.com> Cc: Leo Yan <leo.yan@linaro.org> Cc: Mathieu Poirier <mathieu.poirier@linaro.org> Cc: Mike Leach <mike.leach@linaro.org> Cc: Suzuki Poulouse <suzuki.poulose@arm.com> Cc: coresight@lists.linaro.org Link: https://lore.kernel.org/r/20220909152803.2317006-10-carsten.haitzler@foss.arm.com Signed-off-by: Arnaldo Carvalho de Melo <acme@redhat.com>
Diffstat (limited to '')
-rwxr-xr-xtools/perf/tests/shell/coresight/thread_loop_check_tid_2.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/tools/perf/tests/shell/coresight/thread_loop_check_tid_2.sh b/tools/perf/tests/shell/coresight/thread_loop_check_tid_2.sh
new file mode 100755
index 000000000000..a067145af43c
--- /dev/null
+++ b/tools/perf/tests/shell/coresight/thread_loop_check_tid_2.sh
@@ -0,0 +1,19 @@
+#!/bin/sh -e
+# CoreSight / Thread Loop 2 Threads - Check TID
+
+# SPDX-License-Identifier: GPL-2.0
+# Carsten Haitzler <carsten.haitzler@arm.com>, 2021
+
+TEST="thread_loop"
+. $(dirname $0)/../lib/coresight.sh
+ARGS="2 20"
+DATV="check-tid-2th"
+DATA="$DATD/perf-$TEST-$DATV.data"
+STDO="$DATD/perf-$TEST-$DATV.stdout"
+
+SHOW_TID=1 perf record -s $PERFRECOPT -o "$DATA" "$BIN" $ARGS > $STDO
+
+perf_dump_aux_tid_verify "$DATA" "$STDO"
+
+err=$?
+exit $err